//---------------------------------------------------------------------------

#ifndef SharedDataH
#define SharedDataH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <System.ImageList.hpp>
#include <Vcl.BaseImageCollection.hpp>
#include <Vcl.ImageCollection.hpp>
#include <Vcl.ImgList.hpp>
#include <Vcl.VirtualImageList.hpp>
//---------------------------------------------------------------------------
class TSharedDataModule : public TDataModule
{
__published:	// IDE-managed Components
	TImageCollection *ImageCollection;
	void __fastcall DataModuleCreate(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TSharedDataModule(TComponent* Owner);

protected:
	void __fastcall LoadIconsToImageCollection(TImageCollection *imagecollection, UINT idistart, UINT idiend);
};
//---------------------------------------------------------------------------
extern PACKAGE TSharedDataModule *SharedDataModule;
//---------------------------------------------------------------------------
#endif
